Package sop.exception

# Class SOPGPException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
sop.exception.SOPGPException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SOPGPException.AmbiguousInput`, `SOPGPException.BadData`, `SOPGPException.CannotDecrypt`, `SOPGPException.CertCannotEncrypt`, `SOPGPException.ExpectedText`, `SOPGPException.IncompatibleOptions`, `SOPGPException.IncompleteVerification`, `SOPGPException.KeyCannotSign`, `SOPGPException.KeyIsProtected`, `SOPGPException.MissingArg`, `SOPGPException.MissingInput`, `SOPGPException.NoSignature`, `SOPGPException.OutputExists`, `SOPGPException.PasswordNotHumanReadable`, `SOPGPException.UnsupportedAsymmetricAlgo`, `SOPGPException.UnsupportedOption`, `SOPGPException.UnsupportedProfile`, `SOPGPException.UnsupportedSpecialPrefix`, `SOPGPException.UnsupportedSubcommand`

public abstract class SOPGPException extends RuntimeException

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SOPGPException.AmbiguousInput`
Exception that gets thrown if a special designator (starting with @) is given, but the filesystem contains a file matching the designator.
`static class`
`SOPGPException.BadData`
Invalid data type (no secret key where KEYS expected, etc.).
`static class`
`SOPGPException.CannotDecrypt`
Unable to decrypt (sop decrypt).
`static class`
`SOPGPException.CertCannotEncrypt`
Certificate not encryption capable (e,g, expired, revoked, unacceptable usage).
`static class`
`SOPGPException.ExpectedText`
Non-Text input where text expected.
`static class`
`SOPGPException.IncompatibleOptions`
User provided incompatible options (e.g.
`static class`
`SOPGPException.IncompleteVerification`
Incomplete verification instructions (sop decrypt).
`static class`
`SOPGPException.KeyCannotSign`
Key not signature-capable (e.g.
`static class`
`SOPGPException.KeyIsProtected`
A KEYS input is protected (locked) with a password and sop failed to unlock it.
`static class`
`SOPGPException.MissingArg`
Missing required argument.
`static class`
`SOPGPException.MissingInput`
Input file does not exist.
`static class`
`SOPGPException.NoSignature`
No acceptable signatures found (sop verify, inline-verify).
`static class`
`SOPGPException.OutputExists`
Output file already exists.
`static class`
`SOPGPException.PasswordNotHumanReadable`
Non-UTF-8 or otherwise unreliable password (sop encrypt).
`static class`
`SOPGPException.UnsupportedAsymmetricAlgo`
Asymmetric algorithm unsupported (sop encrypt, sign, inline-sign).
`static class`
`SOPGPException.UnsupportedOption`
Unsupported option.
`static class`
`SOPGPException.UnsupportedProfile`
The user provided a subcommand with an unsupported profile ("--profile=XYZ"), or the user tried to list profiles of a subcommand that does not support profiles at all.
`static class`
`SOPGPException.UnsupportedSpecialPrefix`
An indirect parameter is a special designator (it starts with @), but sop does not know how to handle the prefix.
`static class`
`SOPGPException.UnsupportedSubcommand`
Unsupported subcommand.

## Constructor Summary

Constructors
Constructor
Description
`SOPGPException()`
`SOPGPException(String message)`
`SOPGPException(String message, Throwable cause)`
`SOPGPException(Throwable e)`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getExitCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SOPGPException

public SOPGPException()

### SOPGPException

public SOPGPException(String message)

### SOPGPException

public SOPGPException(Throwable e)

### SOPGPException

public SOPGPException(String message, Throwable cause)

## Method Details

### getExitCode

public abstract int getExitCode()